Skip to main content
Resource Center/Network Resource/Route Resource Operations
POSTRoute Resource OperationsSince 0.6SynchronousAuth Required

CreateVirtualRouterOffering

CreateVirtualRouterOffering

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • zoneUuidStringRequired

      The zone UUID.

    • managementNetworkUuidStringRequired

      The L3 management network UUID.

    • imageUuidStringRequired

      The image UUID.

    • publicNetworkUuidString

      Optional. The L3 public network UUID.

    • isDefaultBoolean

      Optional. Whether the vRouter offering is the default offering.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • cpuNumintRequired

      The CPU count.

    • memorySizelongRequired

      The memory size.

    • allocatorStrategyString

      Optional. The allocator strategy.

    • sortKeyint

      Optional. The sort key.

    • typeString

      Optional. The type.

    • resourceUuidString

      Optional. The resource UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, seeerror.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryInstanceOfferingInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • cpuNumIntegerRequired

      The CPU count.

    • cpuSpeedIntegerRequired

      The CPU speed.

    • memorySizeLongRequired

      The memory size.

    • typeStringRequired

      The type.

    • allocatorStrategyStringRequired

      The allocator strategy.

    • sortKeyIntegerRequired

      排序键。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateStringRequired

      The state, including Enabled and Disabled.

Endpoint

POST/zstack/v1/instance-offerings/virtual-routers

/zstack/v1/instance-offerings/virtual-routers

Operation ID

CreateVirtualRouterOffering

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/instance-offerings/virtual-routers' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"zoneUuid":"<zoneUuid>","managementNetworkUuid":"<managementNetworkUuid>","imageUuid":"<imageUuid>","publicNetworkUuid":"<publicNetworkUuid>","isDefault":true,"name":"<name>","description":"<description>","cpuNum":1,"memorySize":1,"allocatorStrategy":"<allocatorStrategy>","sortKey":1,"type":"<type>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "db5bb944a9ef48eda9ff68d3eaedefed", "name": "instanceOffering1", "cpuNum": 2.0, "cpuSpeed": 1.0, "type": "UserVm", "allocatorStrategy": "Mevoco", "createDate": "Jun 7, 2017 9:20:13 PM", "lastOpDate": "Jun 7, 2017 9:20:13 PM", "state": "Enabled" } }

Change History

This API has no change history records yet.

View all change history